import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/store/` + url, ...arg)

/**
 * 仓库Api接口管理器
 *
 * @author Luck
 * @date  2024/07/24 19:32
 **/
export default {
	// 获取仓库分页
	sysStorePage(data) {
		return request('page', data, 'get')
	},
	// 获取仓库 树结构
	sysStoreTree(data) {
		return request('tree', data, 'get')
	},
	// 提交仓库表单 edit为true时为编辑，默认为新增
	sysStoreSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除仓库
	sysStoreDelete(data) {
		return request('delete', data)
	},
	// 获取仓库详情
	sysStoreDetail(data) {
		return request('detail', data, 'get')
	},

	// 获取仓库 树选择器
	sysStoreSelector(data, isTop = false) {
		let res = this.sysStoreTree(data);
		if(isTop){
			res = [
				{
					id: 0,
					parentId: '-1',
					name: '顶级',
					children: res ? res : []
				}
			]
		}
		return res;
	},
}
